<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.motorola.wso2.Orders_GoInterpay_R12_cap</groupId>
  <artifactId>Orders_GoInterpay_R12_cap</artifactId>
  <version>1.0.0</version>
  <packaging>carbon/application</packaging>
  <name>Orders_GoInterpay_R12_cap</name>
  <description>Orders_GoInterpay_R12_cap</description>
  <properties>
    <com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._load_gointerpay_orders_nagios_seq>capp/EnterpriseServiceBus</com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._load_gointerpay_orders_nagios_seq>
    <artifact.types>jaggery/app=zip,cep/bucket=xml,synapse/priority-executor=xml,lib/registry/handlers=jar,service/rule=aar,lib/registry/filter=jar,synapse/message-store=xml,service/meta=xml,synapse/proxy-service=xml,bpel/workflow=zip,synapse/sequence=xml,synapse/endpointTemplate=xml,carbon/application=car,synapse/api=xml,wso2/gadget=dar,synapse/event-source=xml,synapse/message-processors=xml,lib/dataservice/validator=jar,synapse/template=xml,synapse/endpoint=xml,lib/carbon/ui=jar,lib/synapse/mediator=jar,synapse/local-entry=xml,synapse/task=xml,webapp/jaxws=war,registry/resource=zip,synapse/configuration=xml,service/axis2=aar,synapse/sequenceTemplate=xml,service/dataservice=dbs,web/application=war,lib/library/bundle=jar</artifact.types>
    <com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_error_notification_seq>capp/EnterpriseServiceBus</com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_error_notification_seq>
    <com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_standard_logging_seq>capp/EnterpriseServiceBus</com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_standard_logging_seq>
    <com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_getMerchantID_seq>capp/EnterpriseServiceBus</com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._orders_gointerpay_r12_getMerchantID_seq>
    <com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_.__postloadgointerpayorderstor12_batch_req>capp/GovernanceRegistry</com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_.__postloadgointerpayorderstor12_batch_req>
    <com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_._orders_gointerpay_r12_smooks>capp/GovernanceRegistry</com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_._orders_gointerpay_r12_smooks>
    <com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._load_orders_gointerpay_seq>capp/EnterpriseServiceBus</com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence_._load_orders_gointerpay_seq>
    <com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_._trx_date_formatter>capp/GovernanceRegistry</com.motorola.wso2.Orders_GoInterpay_R12_reg.resource_._trx_date_formatter>
  </properties>
  <dependencies>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence</groupId>
      <artifactId>orders_gointerpay_r12_error_notification_seq</artifactId>
      <version>1.0.0</version>
      <type>xml</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_esb/target/capp/artifacts/sequence/orders_gointerpay_r12_error_notification_seq/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_reg.resource</groupId>
      <artifactId>_postloadgointerpayorderstor12_batch_req</artifactId>
      <version>1.0.0</version>
      <type>zip</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_reg/target/capp/artifacts/resource/_postloadgointerpayorderstor12_batch_req/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence</groupId>
      <artifactId>orders_gointerpay_r12_getMerchantID_seq</artifactId>
      <version>1.0.0</version>
      <type>xml</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_esb/target/capp/artifacts/sequence/orders_gointerpay_r12_getMerchantID_seq/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence</groupId>
      <artifactId>orders_gointerpay_r12_standard_logging_seq</artifactId>
      <version>1.0.0</version>
      <type>xml</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_esb/target/capp/artifacts/sequence/orders_gointerpay_r12_standard_logging_seq/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_reg.resource</groupId>
      <artifactId>trx_date_formatter</artifactId>
      <version>1.0.0</version>
      <type>zip</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_reg/target/capp/artifacts/resource/trx_date_formatter/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence</groupId>
      <artifactId>load_orders_gointerpay_seq</artifactId>
      <version>1.0.0</version>
      <type>xml</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_esb/target/capp/artifacts/sequence/load_orders_gointerpay_seq/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_reg.resource</groupId>
      <artifactId>orders_gointerpay_r12_smooks</artifactId>
      <version>1.0.0</version>
      <type>zip</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_reg/target/capp/artifacts/resource/orders_gointerpay_r12_smooks/pom.xml</systemPath>
    </dependency>
    <dependency>
      <groupId>com.motorola.wso2.Orders_GoInterpay_R12_esb.sequence</groupId>
      <artifactId>load_gointerpay_orders_nagios_seq</artifactId>
      <version>1.0.0</version>
      <type>xml</type>
      <scope>system</scope>
      <systemPath>${basedir}/../Orders_GoInterpay_R12_esb/target/capp/artifacts/sequence/load_gointerpay_orders_nagios_seq/pom.xml</systemPath>
    </dependency>
  </dependencies>
  <repositories>
    <repository>
      <releases>
        <enabled>true</enabled>
        <updatePolicy>daily</updatePolicy>
        <checksumPolicy>ignore</checksumPolicy>
      </releases>
      <id>wso2-nexus</id>
      <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
    </repository>
    <repository>
      <id>wso2-maven2-repository-1</id>
      <url>http://dist.wso2.org/maven2</url>
    </repository>
    <repository>
      <id>wso2-nexus-repository-1</id>
      <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <releases>
        <enabled>true</enabled>
        <updatePolicy>daily</updatePolicy>
        <checksumPolicy>ignore</checksumPolicy>
      </releases>
      <id>wso2-nexus</id>
      <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
    </pluginRepository>
    <pluginRepository>
      <id>wso2-maven2-repository-1</id>
      <url>http://dist.wso2.org/maven2</url>
    </pluginRepository>
    <pluginRepository>
      <id>wso2-nexus-repository-1</id>
      <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
    </pluginRepository>
  </pluginRepositories>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-eclipse-plugin</artifactId>
        <version>2.9</version>
        <configuration>
          <buildcommands />
          <projectnatures>
            <projectnature>org.wso2.developerstudio.eclipse.distribution.project.nature</projectnature>
          </projectnatures>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.wso2.maven</groupId>
        <artifactId>maven-car-plugin</artifactId>
        <version>2.0.10</version>
        <extensions>true</extensions>
        <executions>
          <execution>
            <id>car</id>
            <phase>package</phase>
            <goals>
              <goal>car</goal>
            </goals>
          </execution>
        </executions>
        <configuration />
      </plugin>
      <plugin>
        <groupId>org.wso2.maven</groupId>
        <artifactId>maven-car-deploy-plugin</artifactId>
        <version>1.0.10</version>
        <extensions>true</extensions>
        <configuration>
          <carbonServers>
            <CarbonServer>
              <trustStorePath>${basedir}/src/main/resources/security/wso2carbon.jks</trustStorePath>
              <trustStorePassword>wso2carbon</trustStorePassword>
              <trustStoreType>JKS</trustStoreType>
              <serverUrl>https://localhost:9443</serverUrl>
              <userName>admin</userName>
              <password>admin</password>
              <operation>deploy</operation>
            </CarbonServer>
          </carbonServers>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
